c      program load_ReadMe

c     --- all parameters are OUTPUTs ---
      subroutine readACO(
     _     glon,glat,rich,
     _     glon_1,glat_1,rich_1,
     _     glon_2,glat_2,rich_2)

C=============================================================================
C  F77-compliant program generated by readme2f_1.5, on 2005-Feb-17
C=============================================================================
*  This code was generated from the ReadMe file documenting a catalogue
*  according to the "Standard for Documentation of Astronomical Catalogues"
*  currently in use by the Astronomical Data Centers (CDS, ADC, A&A)
*  (see full documentation at URL http://vizier.u-strasbg.fr/doc/catstd.htx)
*  Please report problems or questions to   question(at)simbad.u-strasbg.fr <mailto:question@simbad.u-strasbg.fr>
C=============================================================================

      implicit none

      include 'npnt.dec'

*  Unspecified or NULL values, generally corresponding to blank columns,
*  are assigned one of the following special values:
*     rNULL__    for unknown or NULL floating-point values
*     iNULL__    for unknown or NULL   integer      values
      real*4     rNULL__
      integer*4  iNULL__
      parameter  (rNULL__=-1.e37)     	! NULL real number
      parameter  (iNULL__=-2147483647)	! NULL int  number

C=============================================================================
Cat. VII/110A           Rich Clusters of Galaxies (Abell+ 1989)
*================================================================================
*A Catalogue of Rich Clusters of Galaxies
*     Abell G.O., Corwin Jr. H.G., Olowin R.P.
*    <Astrophys. J. Suppl. Ser. 70, 1 (1989)>
*    =1989ApJS...70....1A
C=============================================================================

C  Internal variables

      integer*4 i__
      logical   test

      data test /.false. / ! .true./ ! 


c - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

C  Declarations for 'table3.dat'	! Revised northern "Abell Catalog"

c      integer*4 nr__, nr__x
c      parameter (nr__=2712)	! Number of records   shifted to npnt.dec
      character*148 ar__   	! Full-size record

      real*8        RA_        (nr__) ! (deg) Right Ascension B1950
      real*8        Dec        (nr__) ! (deg)     Declination B1950
      integer*4     ACO        (nr__) ! [1,2712]+ "Abell" number
      integer*4     RAh        (nr__) ! (h) right ascension (hours)   (B1950)
      real*4        RAm        (nr__) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE_        (nr__) ! declination sign
      integer*4     DEd        (nr__) ! (deg) declination (degrees)     (B1950)
      integer*4     DEm        (nr__) ! (arcmin) [0,60.0] declination (minutes)
      character*7   BMtype     (nr__) ! [- I:] cluster classification in the Bautz-
*                                       Morgan system
      integer*4     Count      (nr__) ! (ct) [0,] number of cluster members between m3
*                                       and m3+2, corrected for background
      integer*4     RA2000h    (nr__) ! (h) right ascension (hours)   (J2000)
      real*4        RA2000m    (nr__) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE2000_    (nr__) ! declination sign
      integer*4     DE2000d    (nr__) ! (deg) declination (degrees)     (J2000)
      integer*4     DE2000m    (nr__) ! (arcmin) [0,60.0] declination (minutes)
      integer*4     Xpos       (nr__) ! (mm) rectangular coordinates of the
*                                       apparent cluster center, referred to the
*                                       south-east (lower left) edge of the
*                                       Palomar Sky Survey prints (x coordinate)
      integer*4     Ypos       (nr__) ! (mm) same with above (y coordinate)
      real*4        GLON       (nr__) ! (deg) galactic longitude l2
      real*4        GLAT       (nr__) ! (deg) galactic latitude b2
      real*4        z          (nr__) ! ? cluster redshift from Struble and Rood
*                                       (1987b)
      integer*4     Rich       (nr__) ! richness, from Abell (1958)
      integer*4     Dclass     (nr__) ! distance class, from Abell (1958)
      real*4        m10        (nr__) ! (mag) red magnitude of the tenth brightest
*                                       cluster member, from Abell (1958)

c - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

C  Declarations for 'table4.dat'	! Southern "Abell Catalog"

c      integer*4 nr__1, nr__1x
c      parameter (nr__1=1364)	! Number of records
      character*158 ar__1  	! Full-size record

      real*8        RA__1      (nr__1) ! (deg) Right Ascension B1950
      real*8        Dec_1      (nr__1) ! (deg)     Declination B1950
      integer*4     ACO_1      (nr__1) ! [2713,4076]+ "Abell" number for the
*                                      southern rich cluster
      integer*4     RAh_1      (nr__1) ! (h) += right ascension (hours)   (B1950)
      real*4        RAm_1      (nr__1) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE__1      (nr__1) ! [-]! declination sign
      integer*4     DEd_1      (nr__1) ! (deg) declination (degrees)     (B1950)
      integer*4     DEm_1      (nr__1) ! (arcmin) [0,60.0] declination (minutes)
      character*4   Field      (nr__1) ! [0-9F]! the Southern Sky Survey Field
*                                      number in which the cluster is located
      integer*4     Xcen       (nr__1) ! (mm) rectangular coordinates if the apparent
*                                      cluster center, referred to the CENTER of
*                                      the Southern Sky Survey Field (+ = east)
      integer*4     Ycen       (nr__1) ! (mm) same with above (+ = north)
      character*3   Atype      (nr__1) ! [ IR?:]! cluster classification in Abell's
*                                      system: I = irregu lar, R = regular,
*                                      IR and RI = intermediate, ":" and "?"
*                                      see "docu.doc"
      character*7   BMtype_1   (nr__1) ! [- I:?]! cluster classification in the
*                                      Bautz-Morgan system
      integer*4     Count_1    (nr__1) ! (ct) [0,] number of cluster members between m3
*                                      and m3+2, corrected for background
      character*1   u_Count    (nr__1) ! [:*?)] uncertainty of the Count
      real*4        m1         (nr__1) ! (mag) ? weighted mean total V mag. estimated
*                                      for the first-ranked cluster member (no
*                                      galactic extinction correction has been
*                                      applied)
      character*1   u_m1       (nr__1) ! [:?*] ":" = s.d. of more than +-0.5mag
*                                          "?" = s.d. of more than +-1.0mag
*                                      "*: = known or probable foreground object
      real*4        m3         (nr__1) ! (mag) weighted mean total V magnitude estimated
*                                      for the third-ranked cluster member
*                                      (again uncorrected)
      character*1   u_m3       (nr__1) ! [:?*] same with u_M1
      real*4        m10_1      (nr__1) ! (mag) weighted mean total V magnitude estimated
*                                      for the tenth-ranked cluster member
*                                      (again uncorrected)
      character*1   u_m10      (nr__1) ! [:?*] same with u_M1
      integer*4     RA2000h_1  (nr__1) ! (h) [0,23] right ascension (hours)   (J2000)
      real*4        RA2000m_1  (nr__1) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE2000__1  (nr__1) ! [+-]! declination sign
      integer*4     DE2000d_1  (nr__1) ! (deg) [0,90] declination (degrees)     (J2000)
      integer*4     DE2000m_1  (nr__1) ! (arcmin) [0,60.0] declination (minutes)
      character*5   Prev       (nr__1) ! [ BDdKOQRSs] sources of previous listings
*                                      B = Braid and MacGillivray (1978), etc.
*                                      see "docu.doc"
      integer*4     Xpos_1     (nr__1) ! (mm) rectangular coordinates of the
*                                      apparent cluster center, referred to the
*                                      south-east (lower left) edge of the
*                                      Southern Sky Survey Field (x coordinate)
      integer*4     Ypos_1     (nr__1) ! (mm) same with above (y coordinate)
      real*4        GLON_1     (nr__1) ! (deg) galactic longitude l2
      real*4        GLAT_1     (nr__1) ! (deg) galactic latitude b2
      real*4        z_1        (nr__1) ! ? cluster redshift from Struble and Rood
*                                      (1987b)
      character*1   u_z        (nr__1) ! [)] uncertainty parenthesis, close
      integer*4     Rich_1     (nr__1) ! richness, from Abell (1958)
      integer*4     Dclass_1   (nr__1) ! distance class, from Abell (1958)
      real*4        m10A       (nr__1) ! (mag) magnitude of the tenth brightest cluster
*                                      member, corrected for galactic extinction
*                                      following Abell's formula
      integer*4     NF_1       (nr__1) ! [1,4] number of fields in which the cluster
*                                      was found
      character*1   Obs_1      (nr__1) ! [ACO]! observer's initial (A = Abell, C =
*                                      Corwin, O = Olowin)
      integer*4     NF_2       (nr__1) ! [1,4]? same with NF_1
      character*1   Obs_2      (nr__1) ! [ACO] same with Obs_1
      integer*4     NF_3       (nr__1) ! [1,4]? same with NF_1
      character*1   Obs_3      (nr__1) ! [ACO] same with Obs_1

c - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

C  Declarations for 'table5.dat'	! Supplementary southern clusters

c      integer*4 nr__2, nr__2x
c      parameter (nr__2=1174)	! Number of records
      character*155 ar__2  	! Full-size record

      real*8        RA__2      (nr__2) ! (deg) Right Ascension B1950
      real*8        Dec_2      (nr__2) ! (deg)     Declination B1950
      character*1   S          (nr__2) ! [S]! prefix to the supplementary southern
*                                      cluster number
      integer*4     ACOS       (nr__2) ! [1,1174]+ "Abell" number for supplementary
*                                      southern cluster
      integer*4     RAh_2      (nr__2) ! (h) += right ascension (hours)   (B1950)
      real*4        RAm_2      (nr__2) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE__2      (nr__2) ! [-]! declination sign
      integer*4     DEd_2      (nr__2) ! (deg) declination (degrees)     (B1950)
      integer*4     DEm_2      (nr__2) ! (arcmin) [0,60.0] declination (minutes)
      character*4   Field_1    (nr__2) ! [0-9F]! the Southern Sky Survey Field
*                                      number in which the cluster is located
      integer*4     Xcen_1     (nr__2) ! (mm) rectangular coordinates if the apparent
*                                      cluster center, referred to the CENTER of
*                                      the Southern Sky Survey Field (+ = east)
      integer*4     Ycen_1     (nr__2) ! (mm) same with above (+ = north)
      character*3   Atype_1    (nr__2) ! [ IR?:] cluster classification in Abell's
*                                      system: I = irregular, R = regular, IR and
*                                      RI = intermediate, ":" and "?"
*                                      see "docu.doc"
      character*7   BMtype_2   (nr__2) ! [- I:?]! cluster classification in the
*                                      Bautz-Morgan system
      integer*4     Count_2    (nr__2) ! number of cluster members between m3
*                                      and m3+2, corrected for background (as a
*                                      result of "universal" correction, it can
*                                      be negative, see paper p11)
      character*1   u_Count_1  (nr__2) ! [:*?)] uncertainty of the Count
      real*4        M1_1       (nr__2) ! (mag) weighted mean total V mag. estimated
*                                      for the first-ranked cluster member (no
*                                      galactic extinction correction has been
*                                      applied)
      character*1   u_M1_1     (nr__2) ! [:?*] ":" = s.d. of more than +-0.5mag
*                                          "?" = s.d. of more than +-1.0mag
*                                      "*: = known or probable foreground object
      real*4        M3_1       (nr__2) ! (mag) weighted mean total V magnitude estimated
*                                      for the third-ranked cluster member
*                                      (again uncorrected)
      character*1   u_M3_1     (nr__2) ! [:?*] same with u_M1
      real*4        m10_2      (nr__2) ! (mag) weighted mean total V magnitude estimated
*                                      for the tenth-ranked cluster member
*                                      (again uncorrected)
      character*1   u_m10_1    (nr__2) ! [:?*] same with u_M1
      integer*4     RA2000h_2  (nr__2) ! (h) [0,23] right ascension (hours)   (J2000)
      real*4        RA2000m_2  (nr__2) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE2000__2  (nr__2) ! [+-]! declination sign
      integer*4     DE2000d_2  (nr__2) ! (deg) [0,90] declination (degrees)     (J2000)
      integer*4     DE2000m_2  (nr__2) ! (arcmin) [0,60.0] declination (minutes)
      character*5   PREV_1     (nr__2) ! [ BDdKOQRSs] sources of previous listings
*                                      B = Braid and MacGillivray (1978), etc.
*                                      see "docu.doc"
      integer*4     Xpos_2     (nr__2) ! (mm) rectangular coordinates of the
*                                      apparent cluster center, referred to the
*                                      south-east (lower left) edge of the
*                                     Southern Sky Survey Field (x coordinate)
      integer*4     Ypos_2     (nr__2) ! (mm) same with above (y coordinate)
      real*4        GLON_2     (nr__2) ! (deg) galactic longitude l2
      real*4        GLAT_2     (nr__2) ! (deg) galactic latitude b2
      real*4        z_2        (nr__2) ! ? cluster redshift from Struble and Rood
*                                      (1987b)
      character*1   u_z_1      (nr__2) ! [)] uncertainty parenthesis, close
      integer*4     Rich_2     (nr__2) ! richness, from Abell (1958)
      integer*4     Dclass_2   (nr__2) ! distance class, from Abell (1958)
      real*4        m10A_1     (nr__2) ! (mag) magnitude of the tenth brightest cluster
*                                      member, corrected for galactic extinction
*                                      following Abell's formula
      integer*4     NF_1_1     (nr__2) ! [1,4] number of fields in which the cluster
*                                      was found
      character*1   Obs_1_1    (nr__2) ! [ACO]! observer's initial (A = Abell, C =
*                                      Corwin, O = Olowin)
      integer*4     NF_2_1     (nr__2) ! [1,4]? same with NF_1
      character*1   Obs_2_1    (nr__2) ! [ACO] same with Obs_1

c - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

C  Declarations for 'table6.dat'	! Overlap zone clusters

      integer*4 nr__3
      parameter (nr__3=274)	! Number of records
      character*155 ar__3  	! Full-size record

      real*8        RA__3      (nr__3) ! (deg) Right Ascension B1950
      real*8        Dec_3      (nr__3) ! (deg)     Declination B1950
      integer*4     ABELL      (nr__3) ! [1,2712] "Abell" number for the clusters in
*                                       the 10 deg overlap zone (-17 to -27 deg)
      integer*4     RAh_3      (nr__3) ! (h) += right ascension (hours)   (B1950)
      real*4        RAm_3      (nr__3) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE__3      (nr__3) ! [-]! declination sign
      integer*4     DEd_3      (nr__3) ! (deg) declination (degrees)     (B1950)
      integer*4     DEm_3      (nr__3) ! (arcmin) [0,60.0] declination (minutes)
      character*4   Field_2    (nr__3) ! [0-9F]! the Southern Sky Survey Field
*                                       number in which the cluster is located
      integer*4     Xcen_2     (nr__3) ! (mm) rectangular coordinates if the apparent
*                                      cluster center, referred to the CENTER of
*                                      the Southern Sky Survey Field (+ = east)
      integer*4     Ycen_2     (nr__3) ! (mm) same with above (+ = north)
      character*3   Atype_2    (nr__3) ! [ IR?:]! cluster classification in Abell's
*                                      system: I = irregular, R = regular, IR and
*                                      RI = intermediate, ":" and "?"
*                                      see "docu.doc"
      character*7   BMtype_3   (nr__3) ! [- I:?] cluster classification in the
*                                      Bautz-Morgan system
      integer*4     Count_3    (nr__3) ! (ct) number of cluster members between m3
*                                      and m3+2, corrected for background
      character*1   u_Count_2  (nr__3) ! [:*?)] uncertainty of the Count
      real*4        M1_2       (nr__3) ! (mag) weighted mean total V mag. estimated
*                                      for the first-ranked cluster member (no
*                                      galactic extinction correction has been
*                                      applied)
      character*1   u_M1_2     (nr__3) ! [:?*] ":" = s.d. of more than +-0.5mag
*                                          "?" = s.d. of more than +-1.0mag
*                                      "*: = known or probable foreground object
      real*4        M3_2       (nr__3) ! (mag) weighted mean total V magnitude estimated
*                                      for the third-ranked cluster member
*                                      (again uncorrected)
      character*1   u_M3_2     (nr__3) ! [:?*] same with u_M1
      real*4        m10_3      (nr__3) ! (mag) weighted mean total V magnitude estimated
*                                      for the tenth-ranked cluster member
*                                      (again uncorrected)
      character*1   u_m10_2    (nr__3) ! [:?*] same with u_M1
      integer*4     RA2000h_3  (nr__3) ! (h) [0,23] right ascension (hours)   (J2000)
      real*4        RA2000m_3  (nr__3) ! (min) [0,60.0] right ascension (minutes)
      character*1   DE2000__3  (nr__3) ! [+-]! declination sign
      integer*4     DE2000d_3  (nr__3) ! (deg) [0,90] declination (degrees)     (J2000)
      integer*4     DE2000m_3  (nr__3) ! (arcmin) [0,60.0] declination (minutes)
      character*5   PREV_2     (nr__3) ! [ BDdKOQRSs] sources of previous listings
*                                      B = Braid and MacGillivray (1978), etc.
*                                      see "docu.doc"
      integer*4     Xpos_3     (nr__3) ! (mm) rectangular coordinates of the
*                                      apparent cluster center, referred to the
*                                      south-east (lower left) edge of the
*                                      Southern Sky Survey Field (x coordinate)
      integer*4     Ypos_3     (nr__3) ! (mm) same with above (y coordinate)
      real*4        GLON_3     (nr__3) ! (deg) galactic longitude l2
      real*4        GLAT_3     (nr__3) ! (deg) galactic latitude b2
      real*4        z_3        (nr__3) ! ? cluster redshift from Struble and Rood
*                                      (1987b)
      character*1   u_z_2      (nr__3) ! [)] uncertainty parenthesis, close
      integer*4     Rich_3     (nr__3) ! richness, from Abell (1958)
      integer*4     Dclass_3   (nr__3) ! distance class, from Abell (1958)
      real*4        m10A_2     (nr__3) ! (mag) magnitude of the tenth brightest cluster
*                                      member, corrected for galactic extinction
*                                      following Abell's formula
      integer*4     NF_1_2     (nr__3) ! [1,4] number of fields in which the cluster
*                                      was found
      character*1   Obs_1_2    (nr__3) ! [ACO]! observer's initial (A = Abell, C =
*                                      Corwin, O = Olowin)
      integer*4     NF_2_2     (nr__3) ! [1,4]? same with NF_1
      character*1   Obs_2_2    (nr__3) ! [ACO] same with Obs_1

c - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

C  Declarations for 'notes.dat'	! Notes to tables 4, 5 and 6.

      integer*4 nr__4
      parameter (nr__4=3316)	! Number of records
      character*79 ar__4  	! Full-size record

      character*1   Prefix     (nr__4) ! [AS] prefix to the "Abell" cluster number
*                                      blank for Abell number from table4.dat
*                                      'A'   for Abell number from table6.dat
*                                      'S'   for Abell number from table5.dat
      integer*4     ACO_2      (nr__4) ! [1,4076]? "Abell" number
      character*4   Field_3    (nr__4) ! [ 0-9F] the Southern Sky Survey Field
*                                       number in which the cluster is located
      character*68  Notes      (nr__4) ! Notes for tables 4-6

C=============================================================================



C  Loading file 'table3.dat'	! Revised northern "Abell Catalog"

C  Format for file interpretation

    1 format(
     +  I4,2X,I2,1X,F4.1,1X,A1,I2,1X,I2,22X,A7,3X,I3,31X,I2,1X,F4.1,
     +  1X,A1,I2,1X,I2,8X,I3,2X,I3,2X,F6.2,1X,F6.2,2X,F5.4,2X,I1,1X,
     +  I1,1X,F4.1)

C  Effective file loading

      open(unit=1,file='ACO89table3.dat', status='old')
      write(6,*) '....Loading file: table3.dat'
      do i__=1,2712
        read(1,'(A148)')ar__
        read(ar__,1)
     +  ACO(i__),RAh(i__),RAm(i__),DE_(i__),DEd(i__),DEm(i__),
     +  BMtype(i__),Count(i__),RA2000h(i__),RA2000m(i__),DE2000_(i__),
     +  DE2000d(i__),DE2000m(i__),Xpos(i__),Ypos(i__),GLON(i__),
     +  GLAT(i__),z(i__),Rich(i__),Dclass(i__),m10(i__)
        if(ar__(134:138) .EQ. '') z(i__) = rNULL__
c       Derive coordinates RA_ and Dec from input data
c       (RA_ and Dec are set to rNULL_ when unknown)
        RA_(i__) = RAh(i__)
        if(RAh(i__) .GE. 0) RA_(i__)=RAh(i__)*15.
        if(RAm(i__) .GE. 0) RA_(i__)=RA_(i__)+RAm(i__)/4.
        Dec(i__) = DEd(i__)
        if(DEm(i__) .GE. 0) Dec(i__)=Dec(i__)+DEm(i__)/60.
        if(DE_(i__).EQ.'-'.AND.Dec(i__).GE.0) Dec(i__)=-Dec(i__)
c    ..............Just test output...........
        if(test.and.Rich(i__).ge.2)then
           print*,i__,glon(i__),glat(i__),Rich(i__),z(i__)
        endif
c        write(6,1)
c     +  ACO(i__),RAh(i__),RAm(i__),DE_(i__),DEd(i__),DEm(i__),
c     +  BMtype(i__),Count(i__),RA2000h(i__),RA2000m(i__),DE2000_(i__),
c     +  DE2000d(i__),DE2000m(i__),Xpos(i__),Ypos(i__),GLON(i__),
c     +  GLAT(i__),z(i__),Rich(i__),Dclass(i__),m10(i__)
c        write(6,'(6H Pos: 2F8.4)') RA_(i__),Dec(i__)
c    .......End.of.Just test output...........
      end do
      close(1)

C=============================================================================

C  Loading file 'table4.dat'	! Southern "Abell Catalog"

C  Format for file interpretation

    2 format(
     +  I4,2X,I2,1X,F4.1,1X,A1,I2,1X,I2,2X,A4,1X,I4,1X,I4,2X,A3,1X,A7,
     +  3X,I3,A1,2X,F4.1,A1,1X,F4.1,A1,1X,F4.1,A1,11X,I2,1X,F4.1,1X,
     +  A1,I2,1X,I2,2X,A5,1X,I3,2X,I3,2X,F6.2,1X,F6.2,2X,F5.4,A1,1X,
     +  I1,1X,I1,1X,F4.1,2X,I1,A1,1X,I1,A1,1X,I1,A1)

C  Effective file loading

      open(unit=1,file='ACO89table4.dat', status='old')
      write(6,*) '....Loading file: table4.dat'
      do i__=1,1364
        read(1,'(A158)')ar__1
        read(ar__1,2)
     +  ACO_1(i__),RAh_1(i__),RAm_1(i__),DE__1(i__),DEd_1(i__),
     +  DEm_1(i__),Field(i__),Xcen(i__),Ycen(i__),Atype(i__),
     +  BMtype_1(i__),   Count_1(i__),u_Count(i__),m1(i__),
     +  u_m1(i__),m3(i__),u_m3(i__),m10_1(i__),u_m10(i__),
     +  RA2000h_1(i__),RA2000m_1(i__),DE2000__1(i__),DE2000d_1(i__),
     +  DE2000m_1(i__),Prev(i__),Xpos_1(i__),Ypos_1(i__),GLON_1(i__),
     +  GLAT_1(i__),   z_1(i__),u_z(i__),Rich_1(i__),Dclass_1(i__),
     +  m10A(i__),NF_1(i__),Obs_1(i__),   NF_2(i__),Obs_2(i__),
     +    NF_3(i__),Obs_3(i__)
        if(ar__1(59:62) .EQ. '') m1(i__) = rNULL__
        if(ar__1(134:138) .EQ. '') z_1(i__) = rNULL__
        if(ar__1(154:154) .EQ. '') NF_2(i__) = iNULL__
        if(ar__1(157:157) .EQ. '') NF_3(i__) = iNULL__
c       Derive coordinates RA__1 and Dec_1 from input data
c       (RA__1 and Dec_1 are set to rNULL_ when unknown)
        RA__1(i__) = RAh_1(i__)
        if(RAh_1(i__) .GE. 0) RA__1(i__)=RAh_1(i__)*15.
        if(RAm_1(i__) .GE. 0) RA__1(i__)=RA__1(i__)+RAm_1(i__)/4.
        Dec_1(i__) = DEd_1(i__)
        if(DEm_1(i__) .GE. 0) Dec_1(i__)=Dec_1(i__)+DEm_1(i__)/60.
        if(DE__1(i__).EQ.'-'.AND.Dec_1(i__).GE.0) Dec_1(i__)=-Dec_1(i__)
c    ..............Just test output...........

        if(test.and.Rich_1(i__).ge.2)then
           print*,i__,glon_1(i__),glat_1(i__),Rich_1(i__),z_1(i__)
        endif
c        write(6,2)
c     +  ACO_1(i__),RAh_1(i__),RAm_1(i__),DE__1(i__),DEd_1(i__),
c     +  DEm_1(i__),Field(i__),Xcen(i__),Ycen(i__),Atype(i__),
c     +  BMtype_1(i__),(i__),Count_1(i__),u_Count(i__),m1(i__),
c     +  u_m1(i__),m3(i__),u_m3(i__),m10_1(i__),u_m10(i__),
c     +  RA2000h_1(i__),RA2000m_1(i__),DE2000__1(i__),DE2000d_1(i__),
c     +  DE2000m_1(i__),Prev(i__),Xpos_1(i__),Ypos_1(i__),GLON_1(i__),
c     +  GLAT_1(i__),(i__),z_1(i__),u_z(i__),Rich_1(i__),Dclass_1(i__),
c     +  m10A(i__),NF_1(i__),Obs_1(i__),(i__),NF_2(i__),Obs_2(i__),
c     +  (i__),NF_3(i__),Obs_3(i__)
c        write(6,'(6H Pos: 2F8.4)') RA__1(i__),Dec_1(i__)
c    .......End.of.Just test output...........
      end do
      close(1)

C=============================================================================

C  Loading file 'table5.dat'	! Supplementary southern clusters

C  Format for file interpretation

    3 format(
     +  A1,I4,1X,I2,1X,F4.1,1X,A1,I2,1X,I2,2X,A4,1X,I4,1X,I4,2X,A3,1X,
     +  A7,3X,I3,A1,2X,F4.1,A1,1X,F4.1,A1,1X,F4.1,A1,11X,I2,1X,F4.1,
     +  1X,A1,I2,1X,I2,2X,A5,1X,I3,2X,I3,2X,F6.2,1X,F6.2,2X,F5.4,A1,
     +  1X,I1,1X,I1,1X,F4.1,2X,I1,A1,1X,I1,A1)

C  Effective file loading

      open(unit=1,file='ACO89table5.dat', status='old')
      write(6,*) '....Loading file: table5.dat'
      do i__=1,1174
        read(1,'(A155)')ar__2
        read(ar__2,3)
     +  S(i__),ACOS(i__),RAh_2(i__),RAm_2(i__),DE__2(i__),DEd_2(i__),
     +  DEm_2(i__),Field_1(i__),Xcen_1(i__),Ycen_1(i__),Atype_1(i__),
     +  BMtype_2(i__)     ,Count_2(i__),u_Count_1(i__),M1_1(i__),
     +  u_M1_1(i__),M3_1(i__),u_M3_1(i__),m10_2(i__),u_m10_1(i__),
     +  RA2000h_2(i__),RA2000m_2(i__),DE2000__2(i__),DE2000d_2(i__),
     +  DE2000m_2(i__),PREV_1(i__),Xpos_2(i__),Ypos_2(i__),
     +  GLON_2(i__),GLAT_2(i__)     ,z_2(i__),u_z_1(i__),Rich_2(i__),
     +  Dclass_2(i__),m10A_1(i__),NF_1_1(i__),Obs_1_1(i__)     ,
     +  NF_2_1(i__),Obs_2_1(i__)
        if(ar__2(134:138) .EQ. '') z_2(i__) = rNULL__
        if(ar__2(154:154) .EQ. '') NF_2_1(i__) = iNULL__
c       Derive coordinates RA__2 and Dec_2 from input data
c       (RA__2 and Dec_2 are set to rNULL_ when unknown)
        RA__2(i__) = RAh_2(i__)
        if(RAh_2(i__) .GE. 0) RA__2(i__)=RAh_2(i__)*15.
        if(RAm_2(i__) .GE. 0) RA__2(i__)=RA__2(i__)+RAm_2(i__)/4.
        Dec_2(i__) = DEd_2(i__)
        if(DEm_2(i__) .GE. 0) Dec_2(i__)=Dec_2(i__)+DEm_2(i__)/60.
        if(DE__2(i__).EQ.'-'.AND.Dec_2(i__).GE.0) Dec_2(i__)=-Dec_2(i__)
c    ..............Just test output...........
        if(test.and.Rich_2(i__).ge.2)then
           print*,i__,glon_2(i__),glat_2(i__),Rich_2(i__),z_2(i__)
        endif
c        write(6,3)
c     +  S(i__),ACOS(i__),RAh_2(i__),RAm_2(i__),DE__2(i__),DEd_2(i__),
c     +  DEm_2(i__),Field_1(i__),Xcen_1(i__),Ycen_1(i__),Atype_1(i__),
c     +  BMtype_2(i__)     ,Count_2(i__),u_Count_1(i__),M1_1(i__),
c     +  u_M1_1(i__),M3_1(i__),u_M3_1(i__),m10_2(i__),u_m10_1(i__),
c     +  RA2000h_2(i__),RA2000m_2(i__),DE2000__2(i__),DE2000d_2(i__),
c     +  DE2000m_2(i__),PREV_1(i__),Xpos_2(i__),Ypos_2(i__),
c     +  GLON_2(i__),GLAT_2(i__)     ,z_2(i__),u_z_1(i__),Rich_2(i__),
c     +  Dclass_2(i__),m10A_1(i__),NF_1_1(i__),Obs_1_1(i__)     ,
c     +  NF_2_1(i__),Obs_2_1(i__)
c        write(6,'(6H Pos: 2F8.4)') RA__2(i__),Dec_2(i__)
c    .......End.of.Just test output...........
      end do
      close(1)


      return

C=============================================================================

C  Loading file 'table6.dat'	! Overlap zone clusters

C  Format for file interpretation

    4 format(
     +  I4,2X,I2,1X,F4.1,1X,A1,I2,1X,I2,2X,A4,1X,I4,1X,I4,2X,A3,1X,A7,
     +  3X,I3,A1,2X,F4.1,A1,1X,F4.1,A1,1X,F4.1,A1,11X,I2,1X,F4.1,1X,
     +  A1,I2,1X,I2,2X,A5,1X,I3,2X,I3,2X,F6.2,1X,F6.2,2X,F5.4,A1,1X,
     +  I1,1X,I1,1X,F4.1,2X,I1,A1,1X,I1,A1)

C     --- for the purposes of testing SZ effect on the circles hypothesis,
C     the following files are probably unnecessary, but feel free to 
C     use them if you like ---
C     Effective file loading

      open(unit=1,file='ACO89table6.dat', status='old')
      write(6,*) '....Loading file: table6.dat'
      do i__=1,274
        read(1,'(A155)')ar__3
        read(ar__3,4)
     +  ABELL(i__),RAh_3(i__),RAm_3(i__),DE__3(i__),DEd_3(i__),
     +  DEm_3(i__),Field_2(i__),Xcen_2(i__),Ycen_2(i__),Atype_2(i__),
     +  BMtype_3(i__)     ,Count_3(i__),u_Count_2(i__),M1_2(i__),
     +  u_M1_2(i__),M3_2(i__),u_M3_2(i__),m10_3(i__),u_m10_2(i__),
     +  RA2000h_3(i__),RA2000m_3(i__),DE2000__3(i__),DE2000d_3(i__),
     +  DE2000m_3(i__),PREV_2(i__),Xpos_3(i__),Ypos_3(i__),
     +  GLON_3(i__),GLAT_3(i__)     ,z_3(i__),u_z_2(i__),Rich_3(i__),
     +  Dclass_3(i__),m10A_2(i__),NF_1_2(i__),Obs_1_2(i__)     ,
     +  NF_2_2(i__),Obs_2_2(i__)
        if(ar__3(134:138) .EQ. '') z_3(i__) = rNULL__
        if(ar__3(154:154) .EQ. '') NF_2_2(i__) = iNULL__
c       Derive coordinates RA__3 and Dec_3 from input data
c       (RA__3 and Dec_3 are set to rNULL_ when unknown)
        RA__3(i__) = RAh_3(i__)
        if(RAh_3(i__) .GE. 0) RA__3(i__)=RAh_3(i__)*15.
        if(RAm_3(i__) .GE. 0) RA__3(i__)=RA__3(i__)+RAm_3(i__)/4.
        Dec_3(i__) = DEd_3(i__)
        if(DEm_3(i__) .GE. 0) Dec_3(i__)=Dec_3(i__)+DEm_3(i__)/60.
        if(DE__3(i__).EQ.'-'.AND.Dec_3(i__).GE.0) Dec_3(i__)=-Dec_3(i__)
c    ..............Just test output...........
        write(6,4)
     +  ABELL(i__),RAh_3(i__),RAm_3(i__),DE__3(i__),DEd_3(i__),
     +  DEm_3(i__),Field_2(i__),Xcen_2(i__),Ycen_2(i__),Atype_2(i__),
     +  BMtype_3(i__)     ,Count_3(i__),u_Count_2(i__),M1_2(i__),
     +  u_M1_2(i__),M3_2(i__),u_M3_2(i__),m10_3(i__),u_m10_2(i__),
     +  RA2000h_3(i__),RA2000m_3(i__),DE2000__3(i__),DE2000d_3(i__),
     +  DE2000m_3(i__),PREV_2(i__),Xpos_3(i__),Ypos_3(i__),
     +  GLON_3(i__),GLAT_3(i__)     ,z_3(i__),u_z_2(i__),Rich_3(i__),
     +  Dclass_3(i__),m10A_2(i__),NF_1_2(i__),Obs_1_2(i__)     ,
     +  NF_2_2(i__),Obs_2_2(i__)
        write(6,'(6H Pos: 2F8.4)') RA__3(i__),Dec_3(i__)
c    .......End.of.Just test output...........
      end do
      close(1)

C=============================================================================

C  Loading file 'notes.dat'	! Notes to tables 4, 5 and 6.

C  Format for file interpretation

    5 format(A1,I4,1X,A4,1X,A68)

C  Effective file loading

      open(unit=1,file='ACO89notes.dat', status='old')
      write(6,*) '....Loading file: notes.dat'
      do i__=1,3316
        read(1,'(A79)')ar__4
        read(ar__4,5)Prefix(i__),ACO_2(i__),Field_3(i__),Notes(i__)
        if(ar__4(2:5) .EQ. '') ACO_2(i__) = iNULL__
c    ..............Just test output...........
        write(6,5)Prefix(i__),ACO_2(i__),Field_3(i__),Notes(i__)
c    .......End.of.Just test output...........
      end do
      close(1)

C=============================================================================
c      stop
      end
